Bug 75273 - up2date joe fails with python spew
up2date joe fails with python spew
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-06 14:20 EDT by Alan Cox
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-14 10:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2002-10-06 14:20:23 EDT
up2date joe

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################

Fetching rpm headers...

Testing package set / solving RPM inter-dependencies...
########################################
joe-2.9.7-7.i386.rpm:       ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:joe                    ########################################### [100%]
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 801, in ?
    main()
  File "/usr/sbin/up2date", line 573, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 737, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__installPackages()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 127, in
__installPackages
    self.kernelsToInstall = up2date.installPackages(self.packagesToInstall,
self.rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 545, in installPackages
    runTransaction(ts, rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 514, in runTransaction
    rhnPackageInfo.remoteAddPackages(addedPackages)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 47, in
remoteAddPackages
    updateTransactions()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 69, in
updateTransactions
    rollback = rollbacks.Rollback()
  File "/usr/share/rhn/up2date_client/rollbacks.py", line 129, in __init__
    self.__genAvailableTidHdrDict()
  File "/usr/share/rhn/up2date_client/rollbacks.py", line 163, in
__genAvailableTidHdrDict
    for (tid, hdr, filename) in transList:
TypeError: iteration over non-sequence
Comment 1 Adrian Likins 2002-10-08 19:52:28 EDT
hmm, grumble.

Fixed in 3.0.9 and cvs.

workaround is to disable rollbacks.
Comment 2 Jay Turner 2003-02-14 10:41:34 EST
Deferring this until we decide what is happening with rollbacks.

Note You need to log in before you can comment on or make changes to this bug.